import Vue from 'vue'
import App from './App.vue'
import VueRouter from 'vue-router'
import router from './router'
import store from './store'
import vuetify from '@/plugins/vuetify'
import api from './api'
import toast from './plugins/toast'

Vue.use(VueRouter)

Vue.config.productionTip = false
Vue.prototype.$api = api
Vue.prototype.toast = toast;
Vue.prototype.jump = (name, params, query) => {
  router.push({
    name: name,
    params: params,
    query: query
  })
}
new Vue({
  vuetify,
  router,
  store,
  render: h => h(App)
}).$mount('#app')
